package devguide.advanced.inheritance.client;
import devguide.advanced.inheritance.queries.common.UserList;
import devguide.advanced.inheritance.queries.common.UserListRow;

import oracle.jbo.client.Configuration;
import oracle.jbo.*;
import oracle.jbo.domain.Number;
import oracle.jbo.domain.*;
  public class TestEntityPolymorphism {
  public static void main(String[] args) {
    String        amDef = "devguide.advanced.inheritance.UserModule";
    String        config = "UserModuleLocal";
    ApplicationModule am =
    Configuration.createRootApplicationModule(amDef,config);
    // Show entity polymorphism by invoking the same method on each user
    UserList userlist = (UserList)am.findViewObject("UserList");
    userlist.executeQuery();
    while (userlist.hasNext()) {
      UserListRow user = (UserListRow)userlist.next();
      System.out.print(user.getEmail()+"->");
      user.performUserFeature();
    }
    // Show creating new rows with appropriate entity subtypes
    UserListRow newUser = (UserListRow)userlist.createRow();
    UserListRow newMgr  = userlist.createManagerRow();
    UserListRow newTech = userlist.createTechnicianRow();
    newUser.performUserFeature();
    newMgr.performUserFeature();
    newTech.performUserFeature();
    
    Configuration.releaseRootApplicationModule(am,true);
  }
}

