package devguide.advanced.postingorder;
import devguide.advanced.postingorder.common.ExampleModule;

import oracle.jbo.client.Configuration;
import oracle.jbo.*;
import oracle.jbo.domain.Number;
import oracle.jbo.domain.*;
public class TestClient {
  public static void main(String[] args) {
    String        amDef = "devguide.advanced.postingorder.ExampleModule";
    String        config = "ExampleModuleLocal";
    ExampleModule svc = (ExampleModule)
    Configuration.createRootApplicationModule(amDef,config);
    Result r = svc.newServiceRequestForNewProduct(
                   "Blue Toaster",
                   "Big toaster that's blue",
                   "Toast is burnt",
                   new Number(308));
    System.out.println("New Product Created with Id#"+r.getProdId());
    System.out.println("New Request Created with Id#"+r.getSvrId());
    // Work with your appmodule and view object here
    Configuration.releaseRootApplicationModule(svc,true);
  }
  
}
